org.optaplanner.core.impl.heuristic.selector.move.decorator

## Class ShufflingMoveSelector

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.AbstractSelector
  - - org.optaplanner.core.impl.heuristic.selector.move.AbstractMoveSelector
    - - org.optaplanner.core.impl.heuristic.selector.move.decorator.AbstractCachingMoveSelector
      - - org.optaplanner.core.impl.heuristic.selector.move.decorator.ShufflingMoveSelector

- All Implemented Interfaces:
    Iterable<Move>, EventListener, SelectionCacheLifecycleListener, IterableSelector<Move>, MoveSelector, Selector, PhaseLifecycleListener, SolverLifecycleListener

      public class ShufflingMoveSelector
      extends AbstractCachingMoveSelector

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.heuristic.selector.move.decorator.AbstractCachingMoveSelector

      `cachedMoveList, cacheType, childMoveSelector`

    - ### Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `logger, phaseLifecycleSupport, workingRandom`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShufflingMoveSelector(MoveSelector childMoveSelector, SelectionCacheType cacheType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isNeverEnding()` Is true if `Selector.isCountable()` is false or if this selector is in random order (for most cases).
    `Iterator<Move>` | `iterator()`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.move.decorator.AbstractCachingMoveSelector

      `constructCache, disposeCache, getCacheType, getChildMoveSelector, getSize, isCountable`

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.move.MoveSelector

      `supportsPhaseAndSolverCaching`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ShufflingMoveSelector

          public ShufflingMoveSelector(MoveSelector childMoveSelector,
                                       SelectionCacheType cacheType)

  - ### Method Detail

    - #### isNeverEnding

          public boolean isNeverEnding()

      Description copied from interface: `Selector`
      Is true if `Selector.isCountable()` is false or if this selector is in random order (for most cases). Is never true when this selector is in shuffled order (which is less scalable but more exact).
      Returns:
        true if the `Iterator.hasNext()` of the `Iterator` created by `Iterable.iterator()` never returns false (except when it's empty).

    - #### iterator

          public Iterator<Move> iterator()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.